# Makefile.in generated by automake 1.8.3 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.406.6.1 $ 
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# $Id: Makefile.am,v 1.37 2003/08/29 22:48:32 coolo Exp $
# Makefile.am for kscreensaver.
#



SOURCES = $(kbanner_kss_SOURCES) $(kblob_kss_SOURCES) $(kclock_kss_SOURCES) $(keuphoria_kss_SOURCES) $(kflux_kss_SOURCES) $(kfountain_kss_SOURCES) $(kgravity_kss_SOURCES) $(klines_kss_SOURCES) $(klorenz_kss_SOURCES) $(kpolygon_kss_SOURCES) $(kscience_kss_SOURCES) $(kslideshow_kss_SOURCES) $(ksolarwinds_kss_SOURCES) $(kvm_kss_SOURCES) $(kwave_kss_SOURCES)

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
bin_PROGRAMS = kbanner.kss$(EXEEXT) kpolygon.kss$(EXEEXT) \
	kslideshow.kss$(EXEEXT) klines.kss$(EXEEXT) \
	klorenz.kss$(EXEEXT) kblob.kss$(EXEEXT) kvm.kss$(EXEEXT) \
	kscience.kss$(EXEEXT) $(am__EXEEXT_1) $(am__EXEEXT_2)
subdir = kscreensaver/kdesavers
DIST_COMMON = README $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
@COMPILE_GL_KSAVERS_TRUE@am__EXEEXT_1 = kfountain.kss$(EXEEXT) \
@COMPILE_GL_KSAVERS_TRUE@	kwave.kss$(EXEEXT) \
@COMPILE_GL_KSAVERS_TRUE@	kgravity.kss$(EXEEXT) \
@COMPILE_GL_KSAVERS_TRUE@	kflux.kss$(EXEEXT) \
@COMPILE_GL_KSAVERS_TRUE@	keuphoria.kss$(EXEEXT) \
@COMPILE_GL_KSAVERS_TRUE@	ksolarwinds.kss$(EXEEXT)
@COMPILE_LIBART_KSAVERS_TRUE@am__EXEEXT_2 = kclock.kss$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(picsdir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_kbanner_kss_OBJECTS = banner.$(OBJEXT)
#>- kbanner_kss_OBJECTS = $(am_kbanner_kss_OBJECTS)
#>+ 1
kbanner_kss_OBJECTS = banner.$(OBJEXT)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
kbanner_kss_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_kblob_kss_OBJECTS = blob.$(OBJEXT)
#>- kblob_kss_OBJECTS = $(am_kblob_kss_OBJECTS)
#>+ 1
kblob_kss_OBJECTS = blob.$(OBJEXT)
kblob_kss_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_kclock_kss_OBJECTS = kclock.$(OBJEXT)
#>- kclock_kss_OBJECTS = $(am_kclock_kss_OBJECTS)
#>+ 1
kclock_kss_OBJECTS = kclock.$(OBJEXT)
am__DEPENDENCIES_3 = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1)
kclock_kss_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_keuphoria_kss_OBJECTS = Euphoria.$(OBJEXT)
#>- keuphoria_kss_OBJECTS = $(am_keuphoria_kss_OBJECTS)
#>+ 1
keuphoria_kss_OBJECTS = Euphoria.$(OBJEXT)
keuphoria_kss_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_kflux_kss_OBJECTS = Flux.$(OBJEXT)
#>- kflux_kss_OBJECTS = $(am_kflux_kss_OBJECTS)
#>+ 1
kflux_kss_OBJECTS = Flux.$(OBJEXT)
kflux_kss_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_kfountain_kss_OBJECTS = fountain.$(OBJEXT)
#>- kfountain_kss_OBJECTS = $(am_kfountain_kss_OBJECTS)
#>+ 4
kfountain_kss_final_OBJECTS = kfountain_kss.all_cpp.o 
kfountain_kss_nofinal_OBJECTS = fountain.$(OBJEXT) fountaincfg.$(OBJEXT)
@KDE_USE_FINAL_FALSE@kfountain_kss_OBJECTS = $(kfountain_kss_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kfountain_kss_OBJECTS = $(kfountain_kss_final_OBJECTS)
kfountain_kss_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_kgravity_kss_OBJECTS = gravity.$(OBJEXT)
#>- kgravity_kss_OBJECTS = $(am_kgravity_kss_OBJECTS)
#>+ 4
kgravity_kss_final_OBJECTS = kgravity_kss.all_cpp.o 
kgravity_kss_nofinal_OBJECTS = gravity.$(OBJEXT) gravitycfg.$(OBJEXT)
@KDE_USE_FINAL_FALSE@kgravity_kss_OBJECTS = $(kgravity_kss_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kgravity_kss_OBJECTS = $(kgravity_kss_final_OBJECTS)
kgravity_kss_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_klines_kss_OBJECTS = lines.$(OBJEXT)
#>- klines_kss_OBJECTS = $(am_klines_kss_OBJECTS)
#>+ 1
klines_kss_OBJECTS = lines.$(OBJEXT)
klines_kss_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_klorenz_kss_OBJECTS = lorenz.$(OBJEXT)
#>- klorenz_kss_OBJECTS = $(am_klorenz_kss_OBJECTS)
#>+ 1
klorenz_kss_OBJECTS = lorenz.$(OBJEXT)
klorenz_kss_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_kpolygon_kss_OBJECTS = polygon.$(OBJEXT)
#>- kpolygon_kss_OBJECTS = $(am_kpolygon_kss_OBJECTS)
#>+ 1
kpolygon_kss_OBJECTS = polygon.$(OBJEXT)
kpolygon_kss_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_kscience_kss_OBJECTS = science.$(OBJEXT)
#>- kscience_kss_OBJECTS = $(am_kscience_kss_OBJECTS)
#>+ 1
kscience_kss_OBJECTS = science.$(OBJEXT)
kscience_kss_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_kslideshow_kss_OBJECTS = slideshow.$(OBJEXT)
#>- kslideshow_kss_OBJECTS = $(am_kslideshow_kss_OBJECTS)
#>+ 4
kslideshow_kss_final_OBJECTS = kslideshow_kss.all_cpp.o 
kslideshow_kss_nofinal_OBJECTS = slideshow.$(OBJEXT) slideshowcfg.$(OBJEXT)
@KDE_USE_FINAL_FALSE@kslideshow_kss_OBJECTS = $(kslideshow_kss_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kslideshow_kss_OBJECTS = $(kslideshow_kss_final_OBJECTS)
kslideshow_kss_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1)
am_ksolarwinds_kss_OBJECTS = SolarWinds.$(OBJEXT)
#>- ksolarwinds_kss_OBJECTS = $(am_ksolarwinds_kss_OBJECTS)
#>+ 1
ksolarwinds_kss_OBJECTS = SolarWinds.$(OBJEXT)
ksolarwinds_kss_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_kvm_kss_OBJECTS = kvm.$(OBJEXT) vm.$(OBJEXT) vm_random.$(OBJEXT)
#>- kvm_kss_OBJECTS = $(am_kvm_kss_OBJECTS)
#>+ 4
kvm_kss_final_OBJECTS = vm.o vm_random.o kvm.o 
kvm_kss_nofinal_OBJECTS = kvm.$(OBJEXT) vm.$(OBJEXT) vm_random.$(OBJEXT)
@KDE_USE_FINAL_FALSE@kvm_kss_OBJECTS = $(kvm_kss_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kvm_kss_OBJECTS = $(kvm_kss_final_OBJECTS)
kvm_kss_DEPENDENCIES = $(am__DEPENDENCIES_2)
am_kwave_kss_OBJECTS = wave.$(OBJEXT)
#>- kwave_kss_OBJECTS = $(am_kwave_kss_OBJECTS)
#>+ 4
kwave_kss_final_OBJECTS = kwave_kss.all_cpp.o 
kwave_kss_nofinal_OBJECTS = wave.$(OBJEXT) wavecfg.$(OBJEXT)
@KDE_USE_FINAL_FALSE@kwave_kss_OBJECTS = $(kwave_kss_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kwave_kss_OBJECTS = $(kwave_kss_final_OBJECTS)
kwave_kss_DEPENDENCIES = $(am__DEPENDENCIES_3)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/Euphoria.Po ./$(DEPDIR)/Flux.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/SolarWinds.Po ./$(DEPDIR)/banner.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/blob.Po ./$(DEPDIR)/fountain.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/gravity.Po ./$(DEPDIR)/kclock.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kvm.Po ./$(DEPDIR)/lines.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/lorenz.Po ./$(DEPDIR)/polygon.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/science.Po ./$(DEPDIR)/slideshow.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/vm.Po ./$(DEPDIR)/vm_random.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/wave.Po
#>+ 18
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/fountaincfg.P $(DEPDIR)/gravitycfg.P $(DEPDIR)/slideshowcfg.P $(DEPDIR)/wavecfg.P  $(DEPDIR)/kfountain_kss.all_cpp.P $(DEPDIR)/kgravity_kss.all_cpp.P $(DEPDIR)/kslideshow_kss.all_cpp.P $(DEPDIR)/kwave_kss.all_cpp.P ./$(DEPDIR)/Euphoria.Po ./$(DEPDIR)/Flux.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/SolarWinds.Po ./$(DEPDIR)/banner.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/blob.Po ./$(DEPDIR)/fountain.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/gravity.Po ./$(DEPDIR)/kclock.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kvm.Po ./$(DEPDIR)/lines.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/lorenz.Po ./$(DEPDIR)/polygon.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/science.Po ./$(DEPDIR)/slideshow.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/vm.Po ./$(DEPDIR)/vm_random.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/wave.Po
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/fountaincfg.P $(DEPDIR)/gravitycfg.P $(DEPDIR)/slideshowcfg.P $(DEPDIR)/wavecfg.P ./$(DEPDIR)/Euphoria.Po ./$(DEPDIR)/Flux.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/SolarWinds.Po ./$(DEPDIR)/banner.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/blob.Po ./$(DEPDIR)/fountain.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/gravity.Po ./$(DEPDIR)/kclock.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kvm.Po ./$(DEPDIR)/lines.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/lorenz.Po ./$(DEPDIR)/polygon.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/science.Po ./$(DEPDIR)/slideshow.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/vm.Po ./$(DEPDIR)/vm_random.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/wave.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(kbanner_kss_SOURCES) $(kblob_kss_SOURCES) \
	$(kclock_kss_SOURCES) $(keuphoria_kss_SOURCES) \
	$(kflux_kss_SOURCES) $(kfountain_kss_SOURCES) \
	$(kgravity_kss_SOURCES) $(klines_kss_SOURCES) \
	$(klorenz_kss_SOURCES) $(kpolygon_kss_SOURCES) \
	$(kscience_kss_SOURCES) $(kslideshow_kss_SOURCES) \
	$(ksolarwinds_kss_SOURCES) $(kvm_kss_SOURCES) \
	$(kwave_kss_SOURCES)
DIST_SOURCES = $(kbanner_kss_SOURCES) $(kblob_kss_SOURCES) \
	$(kclock_kss_SOURCES) $(keuphoria_kss_SOURCES) \
	$(kflux_kss_SOURCES) $(kfountain_kss_SOURCES) \
	$(kgravity_kss_SOURCES) $(klines_kss_SOURCES) \
	$(klorenz_kss_SOURCES) $(kpolygon_kss_SOURCES) \
	$(kscience_kss_SOURCES) $(kslideshow_kss_SOURCES) \
	$(ksolarwinds_kss_SOURCES) $(kvm_kss_SOURCES) \
	$(kwave_kss_SOURCES)
desktopDATA_INSTALL = $(INSTALL_DATA)
picsDATA_INSTALL = $(INSTALL_DATA)
DATA = $(desktop_DATA) $(pics_DATA)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
COMPILE_GL_KSAVERS_FALSE = @COMPILE_GL_KSAVERS_FALSE@
COMPILE_GL_KSAVERS_TRUE = @COMPILE_GL_KSAVERS_TRUE@
COMPILE_GL_XSAVERS_FALSE = @COMPILE_GL_XSAVERS_FALSE@
COMPILE_GL_XSAVERS_TRUE = @COMPILE_GL_XSAVERS_TRUE@
COMPILE_LIBART_KSAVERS_FALSE = @COMPILE_LIBART_KSAVERS_FALSE@
COMPILE_LIBART_KSAVERS_TRUE = @COMPILE_LIBART_KSAVERS_TRUE@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOPIDLNG = @DCOPIDLNG@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
IconThemes_SUBDIR_included_FALSE = @IconThemes_SUBDIR_included_FALSE@
IconThemes_SUBDIR_included_TRUE = @IconThemes_SUBDIR_included_TRUE@
KCFG_DEPENDENCIES = @KCFG_DEPENDENCIES@
KCONFIG_COMPILER = @KCONFIG_COMPILER@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LDFLAGS = @LDFLAGS@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPIM = @LIB_KDEPIM@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KUTILS = @LIB_KUTILS@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XMLLINT = @XMLLINT@
XSCREENSAVER_HACKS_DIR = @XSCREENSAVER_HACKS_DIR@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
icewm_themes_SUBDIR_included_FALSE = @icewm_themes_SUBDIR_included_FALSE@
icewm_themes_SUBDIR_included_TRUE = @icewm_themes_SUBDIR_included_TRUE@
include_ARTS_FALSE = @include_ARTS_FALSE@
include_ARTS_TRUE = @include_ARTS_TRUE@
include_XSCREENSAVER_FALSE = @include_XSCREENSAVER_FALSE@
include_XSCREENSAVER_TRUE = @include_XSCREENSAVER_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kcfgdir = @kde_kcfgdir@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdeinitdir = @kdeinitdir@
kscreensaver_SUBDIR_included_FALSE = @kscreensaver_SUBDIR_included_FALSE@
kscreensaver_SUBDIR_included_TRUE = @kscreensaver_SUBDIR_included_TRUE@
kwin_styles_SUBDIR_included_FALSE = @kwin_styles_SUBDIR_included_FALSE@
kwin_styles_SUBDIR_included_TRUE = @kwin_styles_SUBDIR_included_TRUE@
kworldclock_SUBDIR_included_FALSE = @kworldclock_SUBDIR_included_FALSE@
kworldclock_SUBDIR_included_TRUE = @kworldclock_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sounds_SUBDIR_included_FALSE = @sounds_SUBDIR_included_FALSE@
sounds_SUBDIR_included_TRUE = @sounds_SUBDIR_included_TRUE@
styles_SUBDIR_included_FALSE = @styles_SUBDIR_included_FALSE@
styles_SUBDIR_included_TRUE = @styles_SUBDIR_included_TRUE@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
wallpapers_SUBDIR_included_FALSE = @wallpapers_SUBDIR_included_FALSE@
wallpapers_SUBDIR_included_TRUE = @wallpapers_SUBDIR_included_TRUE@
x_includes = @x_includes@
x_libraries = @x_libraries@
xdg_appsdir = @xdg_appsdir@
xdg_directorydir = @xdg_directorydir@
xdg_menudir = @xdg_menudir@
AM_CPPFLAGS = -UQT_NO_ASCII_CAST
INCLUDES = $(all_includes) $(GLINC) $(LIBART_CFLAGS)
AM_LDFLAGS = $(all_libraries) $(KDE_RPATH)
AM_LDADD = $(LIB_KDEUI) -lkscreensaver
@COMPILE_LIBART_KSAVERS_TRUE@LIBART_KSAVERS = kclock.kss
@COMPILE_LIBART_KSAVERS_TRUE@LIBART_DESKTOP_FILES = KClock.desktop
LIBART_KSAVERS_LDADD = $(AM_LDADD) $(LIBART_LIBS)
@COMPILE_GL_KSAVERS_TRUE@GL_KSAVERS = kfountain.kss kwave.kss kgravity.kss kflux.kss keuphoria.kss ksolarwinds.kss
@COMPILE_GL_KSAVERS_TRUE@GL_DESKTOP_FILES = KGravity.desktop KWave.desktop KFountain.desktop KFlux.desktop KEuphoria.desktop KSolarWinds.desktop
GL_KSAVERS_LDADD = $(AM_LDADD) $(GLLIB)

# The "normal" screensavers
kbanner_kss_SOURCES = banner.cpp
kbanner_kss_LDADD = $(AM_LDADD)
kpolygon_kss_SOURCES = polygon.cpp
kpolygon_kss_LDADD = $(AM_LDADD)
#>- kslideshow_kss_SOURCES = slideshow.cpp slideshowcfg.ui
#>+ 1
kslideshow_kss_SOURCES=slideshow.cpp  slideshowcfg.cpp
kslideshow_kss_LDADD = $(LIB_KFILE) $(AM_LDADD) $(LIB_KSYCOCA) -lm
klines_kss_SOURCES = lines.cpp
klines_kss_LDADD = $(AM_LDADD)
klorenz_kss_SOURCES = lorenz.cpp
klorenz_kss_LDADD = $(AM_LDADD) -lm
kblob_kss_SOURCES = blob.cpp
kblob_kss_LDADD = $(AM_LDADD) -lm
kvm_kss_SOURCES = kvm.cpp vm.c vm_random.c
kvm_kss_LDADD = $(AM_LDADD)
kscience_kss_SOURCES = science.cpp
kscience_kss_LDADD = $(AM_LDADD) -lm

# The GL screensavers
#>- kfountain_kss_SOURCES = fountain.cpp fountaincfg.ui
#>+ 1
kfountain_kss_SOURCES=fountain.cpp  fountaincfg.cpp
kfountain_kss_LDADD = $(GL_KSAVERS_LDADD) -lm
#>- kwave_kss_SOURCES = wave.cpp wavecfg.ui
#>+ 1
kwave_kss_SOURCES=wave.cpp  wavecfg.cpp
kwave_kss_LDADD = $(GL_KSAVERS_LDADD) -lm
#>- kgravity_kss_SOURCES = gravity.cpp gravitycfg.ui
#>+ 1
kgravity_kss_SOURCES=gravity.cpp  gravitycfg.cpp
kgravity_kss_LDADD = $(GL_KSAVERS_LDADD) -lm
kflux_kss_SOURCES = Flux.cpp
kflux_kss_LDADD = $(GL_KSAVERS_LDADD) -lm
keuphoria_kss_SOURCES = Euphoria.cpp
keuphoria_kss_LDADD = $(GL_KSAVERS_LDADD) -lm
ksolarwinds_kss_SOURCES = SolarWinds.cpp
ksolarwinds_kss_LDADD = $(GL_KSAVERS_LDADD) -lm

# The LIBART screensavers
kclock_kss_SOURCES = kclock.cpp
kclock_kss_LDADD = $(LIBART_KSAVERS_LDADD)
#>- METASOURCES = AUTO
noinst_HEADERS = banner.h polygon.h slideshow.h lines.h\
                 lorenz.h blob.h kvm.h vm.h vm_random.h science.h \
                 fountain.h wave.h gravity.h kclock.h


########## Meta objects ##########
pics_DATA = kscience.png particle.png image.png
picsdir = $(kde_datadir)/kscreensaver
desktop_DATA = KBanner.desktop KPolygon.desktop \
               KSlideshow.desktop KLines-saver.desktop KLorenz.desktop \
               KBlob.desktop KVm.desktop KScience.desktop\
               KClock.desktop $(GL_DESKTOP_FILES) $(LIBART_DESKTOP_FILES)

desktopdir = $(kde_appsdir)/System/ScreenSavers
EXTRA_DIST = $(desktop_DATA) vm.xpm vm.xbm kscience.png  particle.png image.png
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kscreensaver/kdesavers/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kscreensaver/kdesavers/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kscreensaver/kdesavers/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kscreensaver/kdesavers/Makefile
	cd $(top_srcdir) && perl admin/am_edit kscreensaver/kdesavers/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
kbanner.kss$(EXEEXT): $(kbanner_kss_OBJECTS) $(kbanner_kss_DEPENDENCIES) 
	@rm -f kbanner.kss$(EXEEXT)
	$(CXXLINK) $(kbanner_kss_LDFLAGS) $(kbanner_kss_OBJECTS) $(kbanner_kss_LDADD) $(LIBS)
kblob.kss$(EXEEXT): $(kblob_kss_OBJECTS) $(kblob_kss_DEPENDENCIES) 
	@rm -f kblob.kss$(EXEEXT)
	$(CXXLINK) $(kblob_kss_LDFLAGS) $(kblob_kss_OBJECTS) $(kblob_kss_LDADD) $(LIBS)
kclock.kss$(EXEEXT): $(kclock_kss_OBJECTS) $(kclock_kss_DEPENDENCIES) 
	@rm -f kclock.kss$(EXEEXT)
	$(CXXLINK) $(kclock_kss_LDFLAGS) $(kclock_kss_OBJECTS) $(kclock_kss_LDADD) $(LIBS)
keuphoria.kss$(EXEEXT): $(keuphoria_kss_OBJECTS) $(keuphoria_kss_DEPENDENCIES) 
	@rm -f keuphoria.kss$(EXEEXT)
	$(CXXLINK) $(keuphoria_kss_LDFLAGS) $(keuphoria_kss_OBJECTS) $(keuphoria_kss_LDADD) $(LIBS)
kflux.kss$(EXEEXT): $(kflux_kss_OBJECTS) $(kflux_kss_DEPENDENCIES) 
	@rm -f kflux.kss$(EXEEXT)
	$(CXXLINK) $(kflux_kss_LDFLAGS) $(kflux_kss_OBJECTS) $(kflux_kss_LDADD) $(LIBS)
kfountain.kss$(EXEEXT): $(kfountain_kss_OBJECTS) $(kfountain_kss_DEPENDENCIES) 
	@rm -f kfountain.kss$(EXEEXT)
	$(CXXLINK) $(kfountain_kss_LDFLAGS) $(kfountain_kss_OBJECTS) $(kfountain_kss_LDADD) $(LIBS)
kgravity.kss$(EXEEXT): $(kgravity_kss_OBJECTS) $(kgravity_kss_DEPENDENCIES) 
	@rm -f kgravity.kss$(EXEEXT)
	$(CXXLINK) $(kgravity_kss_LDFLAGS) $(kgravity_kss_OBJECTS) $(kgravity_kss_LDADD) $(LIBS)
klines.kss$(EXEEXT): $(klines_kss_OBJECTS) $(klines_kss_DEPENDENCIES) 
	@rm -f klines.kss$(EXEEXT)
	$(CXXLINK) $(klines_kss_LDFLAGS) $(klines_kss_OBJECTS) $(klines_kss_LDADD) $(LIBS)
klorenz.kss$(EXEEXT): $(klorenz_kss_OBJECTS) $(klorenz_kss_DEPENDENCIES) 
	@rm -f klorenz.kss$(EXEEXT)
	$(CXXLINK) $(klorenz_kss_LDFLAGS) $(klorenz_kss_OBJECTS) $(klorenz_kss_LDADD) $(LIBS)
kpolygon.kss$(EXEEXT): $(kpolygon_kss_OBJECTS) $(kpolygon_kss_DEPENDENCIES) 
	@rm -f kpolygon.kss$(EXEEXT)
	$(CXXLINK) $(kpolygon_kss_LDFLAGS) $(kpolygon_kss_OBJECTS) $(kpolygon_kss_LDADD) $(LIBS)
kscience.kss$(EXEEXT): $(kscience_kss_OBJECTS) $(kscience_kss_DEPENDENCIES) 
	@rm -f kscience.kss$(EXEEXT)
	$(CXXLINK) $(kscience_kss_LDFLAGS) $(kscience_kss_OBJECTS) $(kscience_kss_LDADD) $(LIBS)
kslideshow.kss$(EXEEXT): $(kslideshow_kss_OBJECTS) $(kslideshow_kss_DEPENDENCIES) 
	@rm -f kslideshow.kss$(EXEEXT)
	$(CXXLINK) $(kslideshow_kss_LDFLAGS) $(kslideshow_kss_OBJECTS) $(kslideshow_kss_LDADD) $(LIBS)
ksolarwinds.kss$(EXEEXT): $(ksolarwinds_kss_OBJECTS) $(ksolarwinds_kss_DEPENDENCIES) 
	@rm -f ksolarwinds.kss$(EXEEXT)
	$(CXXLINK) $(ksolarwinds_kss_LDFLAGS) $(ksolarwinds_kss_OBJECTS) $(ksolarwinds_kss_LDADD) $(LIBS)
kvm.kss$(EXEEXT): $(kvm_kss_OBJECTS) $(kvm_kss_DEPENDENCIES) 
	@rm -f kvm.kss$(EXEEXT)
	$(CXXLINK) $(kvm_kss_LDFLAGS) $(kvm_kss_OBJECTS) $(kvm_kss_LDADD) $(LIBS)
kwave.kss$(EXEEXT): $(kwave_kss_OBJECTS) $(kwave_kss_DEPENDENCIES) 
	@rm -f kwave.kss$(EXEEXT)
	$(CXXLINK) $(kwave_kss_LDFLAGS) $(kwave_kss_OBJECTS) $(kwave_kss_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Euphoria.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Flux.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SolarWinds.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/banner.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/blob.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fountain.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gravity.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kclock.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kvm.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lines.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lorenz.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/polygon.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/science.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/slideshow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vm.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vm_random.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wave.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-desktopDATA: $(desktop_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(desktopdir)" || $(mkdir_p) "$(DESTDIR)$(desktopdir)"
	@list='$(desktop_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(desktopDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(desktopdir)/$$f'"; \
	  $(desktopDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(desktopdir)/$$f"; \
	done

uninstall-desktopDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(desktop_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(desktopdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(desktopdir)/$$f"; \
	done
install-picsDATA: $(pics_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(picsdir)" || $(mkdir_p) "$(DESTDIR)$(picsdir)"
	@list='$(pics_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(picsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(picsdir)/$$f'"; \
	  $(picsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(picsdir)/$$f"; \
	done

uninstall-picsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pics_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(picsdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(picsdir)/$$f"; \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(DATA) $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(picsdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
#>+ 1
clean-am: clean-metasources clean-ui clean-bcheck clean-final  clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-desktopDATA install-picsDATA

install-exec-am: install-binPROGRAMS

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-desktopDATA \
	uninstall-info-am uninstall-picsDATA

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
	clean-generic clean-libtool ctags distclean distclean-compile \
	distclean-generic distclean-libtool distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-binPROGRAMS install-data install-data-am \
	install-desktopDATA install-exec install-exec-am install-info \
	install-info-am install-man install-picsDATA install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am uninstall-binPROGRAMS \
	uninstall-desktopDATA uninstall-info-am uninstall-picsDATA

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
banner.moc: $(srcdir)/banner.h
	$(MOC) $(srcdir)/banner.h -o banner.moc

#>+ 2
mocs: banner.moc

#>+ 3
kclock.moc: $(srcdir)/kclock.h
	$(MOC) $(srcdir)/kclock.h -o kclock.moc

#>+ 2
mocs: kclock.moc

#>+ 3
SolarWinds.moc: $(srcdir)/SolarWinds.h
	$(MOC) $(srcdir)/SolarWinds.h -o SolarWinds.moc

#>+ 2
mocs: SolarWinds.moc

#>+ 3
blob.moc: $(srcdir)/blob.h
	$(MOC) $(srcdir)/blob.h -o blob.moc

#>+ 2
mocs: blob.moc

#>+ 3
lorenz.moc: $(srcdir)/lorenz.h
	$(MOC) $(srcdir)/lorenz.h -o lorenz.moc

#>+ 2
mocs: lorenz.moc

#>+ 3
Euphoria.moc: $(srcdir)/Euphoria.h
	$(MOC) $(srcdir)/Euphoria.h -o Euphoria.moc

#>+ 2
mocs: Euphoria.moc

#>+ 3
lines.moc: $(srcdir)/lines.h
	$(MOC) $(srcdir)/lines.h -o lines.moc

#>+ 2
mocs: lines.moc

#>+ 3
kvm.moc: $(srcdir)/kvm.h
	$(MOC) $(srcdir)/kvm.h -o kvm.moc

#>+ 2
mocs: kvm.moc

#>+ 3
science.moc: $(srcdir)/science.h
	$(MOC) $(srcdir)/science.h -o science.moc

#>+ 2
mocs: science.moc

#>+ 3
slideshow.moc: $(srcdir)/slideshow.h
	$(MOC) $(srcdir)/slideshow.h -o slideshow.moc

#>+ 2
mocs: slideshow.moc

#>+ 3
fountain.moc: $(srcdir)/fountain.h
	$(MOC) $(srcdir)/fountain.h -o fountain.moc

#>+ 2
mocs: fountain.moc

#>+ 3
polygon.moc: $(srcdir)/polygon.h
	$(MOC) $(srcdir)/polygon.h -o polygon.moc

#>+ 2
mocs: polygon.moc

#>+ 3
gravity.moc: $(srcdir)/gravity.h
	$(MOC) $(srcdir)/gravity.h -o gravity.moc

#>+ 2
mocs: gravity.moc

#>+ 3
wave.moc: $(srcdir)/wave.h
	$(MOC) $(srcdir)/wave.h -o wave.moc

#>+ 2
mocs: wave.moc

#>+ 3
Flux.moc: $(srcdir)/Flux.h
	$(MOC) $(srcdir)/Flux.h -o Flux.moc

#>+ 2
mocs: Flux.moc

#>+ 3
clean-metasources:
	-rm -f  banner.moc kclock.moc SolarWinds.moc blob.moc lorenz.moc Euphoria.moc lines.moc kvm.moc science.moc slideshow.moc fountain.moc polygon.moc gravity.moc wave.moc Flux.moc

#>+ 2
KDE_DIST=KScience.desktop wavecfg.ui KClock.desktop Flux.h KFlux.desktop KWave.desktop KPolygon.desktop KGravity.desktop KFountain.desktop EuphoriaTexture.h KBanner.desktop KLorenz.desktop KSolarWinds.desktop gravitycfg.ui SolarWinds.h Makefile.in KVm.desktop KLines-saver.desktop slideshowcfg.ui KEuphoria.desktop fountaincfg.ui Euphoria.h KSlideshow.desktop Makefile.am KBlob.desktop 

#>+ 7
clean-ui:
	-rm -f \
	fountaincfg.cpp fountaincfg.h fountaincfg.moc \
	gravitycfg.cpp gravitycfg.h gravitycfg.moc \
	slideshowcfg.cpp slideshowcfg.h slideshowcfg.moc \
	wavecfg.cpp wavecfg.h wavecfg.moc 

#>+ 2
docs-am:

#>+ 15
force-reedit:
		@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kscreensaver/kdesavers/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kscreensaver/kdesavers/Makefile
	cd $(top_srcdir) && perl admin/am_edit kscreensaver/kdesavers/Makefile.in


#>+ 21
clean-bcheck: 
	rm -f *.bchecktest.cc *.bchecktest.cc.class a.out

bcheck: bcheck-am

bcheck-am:
	@for i in ; do \
	    if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
	        echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
	        echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
	        echo "$$i"; \
	        if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
	            rm -f $$i.bchecktest.cc; exit 1; \
	        fi ; \
	        echo "" >> $$i.bchecktest.cc.class; \
	        perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
	        rm -f a.out; \
	    fi ; \
	done


#>+ 11
kfountain_kss.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/fountain.cpp fountaincfg.cpp  fountaincfg.moc fountain.moc
	@echo 'creating kfountain_kss.all_cpp.cpp ...'; \
	rm -f kfountain_kss.all_cpp.files kfountain_kss.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kfountain_kss.all_cpp.final; \
	for file in fountain.cpp fountaincfg.cpp ; do \
	  echo "#include \"$$file\"" >> kfountain_kss.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kfountain_kss.all_cpp.final; \
	done; \
	cat kfountain_kss.all_cpp.final kfountain_kss.all_cpp.files > kfountain_kss.all_cpp.cpp; \
	rm -f kfountain_kss.all_cpp.final kfountain_kss.all_cpp.files

#>+ 11
kgravity_kss.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/gravity.cpp gravitycfg.cpp  gravitycfg.moc gravity.moc
	@echo 'creating kgravity_kss.all_cpp.cpp ...'; \
	rm -f kgravity_kss.all_cpp.files kgravity_kss.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kgravity_kss.all_cpp.final; \
	for file in gravity.cpp gravitycfg.cpp ; do \
	  echo "#include \"$$file\"" >> kgravity_kss.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kgravity_kss.all_cpp.final; \
	done; \
	cat kgravity_kss.all_cpp.final kgravity_kss.all_cpp.files > kgravity_kss.all_cpp.cpp; \
	rm -f kgravity_kss.all_cpp.final kgravity_kss.all_cpp.files

#>+ 11
kslideshow_kss.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/slideshow.cpp slideshowcfg.cpp  slideshowcfg.moc slideshow.moc
	@echo 'creating kslideshow_kss.all_cpp.cpp ...'; \
	rm -f kslideshow_kss.all_cpp.files kslideshow_kss.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kslideshow_kss.all_cpp.final; \
	for file in slideshow.cpp slideshowcfg.cpp ; do \
	  echo "#include \"$$file\"" >> kslideshow_kss.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kslideshow_kss.all_cpp.final; \
	done; \
	cat kslideshow_kss.all_cpp.final kslideshow_kss.all_cpp.files > kslideshow_kss.all_cpp.cpp; \
	rm -f kslideshow_kss.all_cpp.final kslideshow_kss.all_cpp.files

#>+ 11
kwave_kss.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/wave.cpp wavecfg.cpp  wavecfg.moc wave.moc
	@echo 'creating kwave_kss.all_cpp.cpp ...'; \
	rm -f kwave_kss.all_cpp.files kwave_kss.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kwave_kss.all_cpp.final; \
	for file in wave.cpp wavecfg.cpp ; do \
	  echo "#include \"$$file\"" >> kwave_kss.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kwave_kss.all_cpp.final; \
	done; \
	cat kwave_kss.all_cpp.final kwave_kss.all_cpp.files > kwave_kss.all_cpp.cpp; \
	rm -f kwave_kss.all_cpp.final kwave_kss.all_cpp.files

#>+ 3
clean-final:
	-rm -f kfountain_kss.all_cpp.cpp kgravity_kss.all_cpp.cpp kslideshow_kss.all_cpp.cpp kwave_kss.all_cpp.cpp

#>+ 3
final:
	$(MAKE) kfountain_kss_OBJECTS="$(kfountain_kss_final_OBJECTS)" kgravity_kss_OBJECTS="$(kgravity_kss_final_OBJECTS)" kslideshow_kss_OBJECTS="$(kslideshow_kss_final_OBJECTS)" kvm_kss_OBJECTS="$(kvm_kss_final_OBJECTS)" kwave_kss_OBJECTS="$(kwave_kss_final_OBJECTS)" all-am

#>+ 3
final-install:
	$(MAKE) kfountain_kss_OBJECTS="$(kfountain_kss_final_OBJECTS)" kgravity_kss_OBJECTS="$(kgravity_kss_final_OBJECTS)" kslideshow_kss_OBJECTS="$(kslideshow_kss_final_OBJECTS)" kvm_kss_OBJECTS="$(kvm_kss_final_OBJECTS)" kwave_kss_OBJECTS="$(kwave_kss_final_OBJECTS)" install-am

#>+ 3
no-final:
	$(MAKE) kfountain_kss_OBJECTS="$(kfountain_kss_nofinal_OBJECTS)" kgravity_kss_OBJECTS="$(kgravity_kss_nofinal_OBJECTS)" kslideshow_kss_OBJECTS="$(kslideshow_kss_nofinal_OBJECTS)" kvm_kss_OBJECTS="$(kvm_kss_nofinal_OBJECTS)" kwave_kss_OBJECTS="$(kwave_kss_nofinal_OBJECTS)" all-am

#>+ 3
no-final-install:
	$(MAKE) kfountain_kss_OBJECTS="$(kfountain_kss_nofinal_OBJECTS)" kgravity_kss_OBJECTS="$(kgravity_kss_nofinal_OBJECTS)" kslideshow_kss_OBJECTS="$(kslideshow_kss_nofinal_OBJECTS)" kvm_kss_OBJECTS="$(kvm_kss_nofinal_OBJECTS)" kwave_kss_OBJECTS="$(kwave_kss_nofinal_OBJECTS)" install-am

#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 37
kclock.o: kclock.moc 
lines.lo: lines.moc 
slideshow.o: slideshow.moc 
lorenz.lo: lorenz.moc 
$(srcdir)/fountain.cpp: fountaincfg.h 
fountain.o: fountain.moc 
Euphoria.lo: Euphoria.moc 
lorenz.o: lorenz.moc 
nmcheck-am: nmcheck
gravity.o: gravity.moc 
science.o: science.moc 
$(srcdir)/gravity.cpp: gravitycfg.h 
fountain.lo: fountain.moc 
science.lo: science.moc 
wave.lo: wave.moc 
wave.o: wave.moc 
banner.o: banner.moc 
Flux.o: Flux.moc 
blob.o: blob.moc 
blob.lo: blob.moc 
banner.lo: banner.moc 
lines.o: lines.moc 
gravity.lo: gravity.moc 
kclock.lo: kclock.moc 
Euphoria.o: Euphoria.moc 
polygon.o: polygon.moc 
nmcheck: 
SolarWinds.lo: SolarWinds.moc 
kvm.lo: kvm.moc 
kvm.o: kvm.moc 
$(srcdir)/slideshow.cpp: slideshowcfg.h 
polygon.lo: polygon.moc 
$(srcdir)/wave.cpp: wavecfg.h 
Flux.lo: Flux.moc 
SolarWinds.o: SolarWinds.moc 
slideshow.lo: slideshow.moc 

#>+ 60
slideshowcfg.cpp: $(srcdir)/slideshowcfg.ui slideshowcfg.h slideshowcfg.moc
	rm -f slideshowcfg.cpp
	echo '#include <kdialog.h>' > slideshowcfg.cpp
	echo '#include <klocale.h>' >> slideshowcfg.cpp
	$(UIC) -tr ${UIC_TR} -i slideshowcfg.h $(srcdir)/slideshowcfg.ui > slideshowcfg.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" slideshowcfg.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_slideshowcfg,g" >> slideshowcfg.cpp ;\
	rm -f slideshowcfg.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "slideshowcfg.moc"' >> slideshowcfg.cpp; else rm -f slideshowcfg.cpp ; exit $$ret ; fi

slideshowcfg.h: $(srcdir)/slideshowcfg.ui
	$(UIC) -o slideshowcfg.h $(srcdir)/slideshowcfg.ui

slideshowcfg.moc: slideshowcfg.h
	$(MOC) slideshowcfg.h -o slideshowcfg.moc

gravitycfg.cpp: $(srcdir)/gravitycfg.ui gravitycfg.h gravitycfg.moc
	rm -f gravitycfg.cpp
	echo '#include <kdialog.h>' > gravitycfg.cpp
	echo '#include <klocale.h>' >> gravitycfg.cpp
	$(UIC) -tr ${UIC_TR} -i gravitycfg.h $(srcdir)/gravitycfg.ui > gravitycfg.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" gravitycfg.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_gravitycfg,g" >> gravitycfg.cpp ;\
	rm -f gravitycfg.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "gravitycfg.moc"' >> gravitycfg.cpp; else rm -f gravitycfg.cpp ; exit $$ret ; fi

gravitycfg.h: $(srcdir)/gravitycfg.ui
	$(UIC) -o gravitycfg.h $(srcdir)/gravitycfg.ui

gravitycfg.moc: gravitycfg.h
	$(MOC) gravitycfg.h -o gravitycfg.moc

fountaincfg.cpp: $(srcdir)/fountaincfg.ui fountaincfg.h fountaincfg.moc
	rm -f fountaincfg.cpp
	echo '#include <kdialog.h>' > fountaincfg.cpp
	echo '#include <klocale.h>' >> fountaincfg.cpp
	$(UIC) -tr ${UIC_TR} -i fountaincfg.h $(srcdir)/fountaincfg.ui > fountaincfg.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" fountaincfg.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_fountaincfg,g" >> fountaincfg.cpp ;\
	rm -f fountaincfg.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "fountaincfg.moc"' >> fountaincfg.cpp; else rm -f fountaincfg.cpp ; exit $$ret ; fi

fountaincfg.h: $(srcdir)/fountaincfg.ui
	$(UIC) -o fountaincfg.h $(srcdir)/fountaincfg.ui

fountaincfg.moc: fountaincfg.h
	$(MOC) fountaincfg.h -o fountaincfg.moc

wavecfg.cpp: $(srcdir)/wavecfg.ui wavecfg.h wavecfg.moc
	rm -f wavecfg.cpp
	echo '#include <kdialog.h>' > wavecfg.cpp
	echo '#include <klocale.h>' >> wavecfg.cpp
	$(UIC) -tr ${UIC_TR} -i wavecfg.h $(srcdir)/wavecfg.ui > wavecfg.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" wavecfg.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_wavecfg,g" >> wavecfg.cpp ;\
	rm -f wavecfg.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "wavecfg.moc"' >> wavecfg.cpp; else rm -f wavecfg.cpp ; exit $$ret ; fi

wavecfg.h: $(srcdir)/wavecfg.ui
	$(UIC) -o wavecfg.h $(srcdir)/wavecfg.ui

wavecfg.moc: wavecfg.h
	$(MOC) wavecfg.h -o wavecfg.moc
